/*
 * Java
 *
 * Copyright 2018 IS2T. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break IS2T warranties on the whole library.
 */
package com.espressif.esp_idf;

/**
 * See <code>esp_ota_ops.h</code> C header file.
 * <p>
 * See WARNING.txt.
 * </p>
 */
public class esp_ota_ops {

	/**
	 * See <code>#define OTA_SIZE_UNKNOWN</code>.
	 */
	public static final int OTA_SIZE_UNKNOWN = 0xffffffff;

	/**
	 * See <code>esp_ota_begin</code> C function. Parameter <code>out_handle</code> is managed in C.
	 *
	 * @param partition
	 *            <code>const esp_partition_t*</code>
	 * @param image_size
	 *            <code>size_t</code>
	 * @return <code>esp_err_t</code>
	 */
	public static int esp_ota_begin(int partition, int image_size) {
		throw new RuntimeException();
	}

	/**
	 * See <code>esp_ota_write</code> C function. Parameter <code>handle</code> is managed in C.
	 *
	 * @param data
	 *            <code>const void*</code>
	 * @param offset
	 *            offset in data buffer
	 * @param size
	 *            <code>size_t</code>
	 * @return <code>esp_err_t</code>
	 */
	public static int esp_ota_write(byte[] data, int offset, int size) {
		throw new RuntimeException();
	}

	/**
	 * See <code> esp_ota_end</code> C function. Parameter <code>handle</code> is managed in C.
	 *
	 * @return <code>esp_err_t</code>
	 */
	public static int esp_ota_end() {
		throw new RuntimeException();
	}

	/**
	 * See <code>esp_ota_set_boot_partition</code> C function.
	 *
	 * @param partition
	 *            <code>const esp_partition_t*</code>
	 * @return <code>esp_err_t</code>
	 */
	public static int esp_ota_set_boot_partition(int partition) {
		throw new RuntimeException();
	}

	/**
	 * See <code>esp_ota_get_boot_partition</code> C function.
	 *
	 * @return <code>const esp_partition_t*</code>
	 */
	public static int esp_ota_get_boot_partition() {
		throw new RuntimeException();
	}

	/**
	 * See <code>esp_ota_get_running_partition</code> C function.
	 *
	 * @return <code>const esp_partition_t*</code>
	 */
	public static int esp_ota_get_running_partition() {
		throw new RuntimeException();
	}

	/**
	 * See <code> esp_ota_get_next_update_partition</code> C function.
	 *
	 * @param start_from
	 *            <code>const esp_partition_t *</code>
	 *
	 * @return <code>const esp_partition_t*</code>
	 */
	public static int esp_ota_get_next_update_partition(int start_from) {
		throw new RuntimeException();
	}

}
