/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.profiling.internal;

/**
 * Gather all the strings of the library.
 */
public interface Strings {
	/**
	 * AVG.
	 */
	String AVG = " avg="; //$NON-NLS-1$

	/**
	 * MAX.
	 */
	String MAX = " max="; //$NON-NLS-1$

	/**
	 * MIN.
	 */
	String MIN = " min="; //$NON-NLS-1$

	/**
	 * COMMA.
	 */
	String COMMA = ","; //$NON-NLS-1$

	/**
	 * LINE BREAK.
	 */
	String LINE_BREAK = "\n"; //$NON-NLS-1$

	/**
	 * TAB.
	 */
	String TAB = "\t"; //$NON-NLS-1$

	/**
	 * COLLON.
	 */
	String COLLON = ":"; //$NON-NLS-1$

	/**
	 * COUNT.
	 */
	String COUNT = "count="; //$NON-NLS-1$

	/**
	 * MINUS.
	 */
	String MINUS = " - "; //$NON-NLS-1$

	/**
	 * GROUPS.
	 */
	String GROUPS = "Groups:"; //$NON-NLS-1$

	/**
	 * NO_TAG.
	 */
	String NO_TAG = "No tag"; //$NON-NLS-1$

	/**
	 * DIFFERENT_TAG.
	 */
	String DIFFERENT_TAG = " /!\\ Enter tag ("; //$NON-NLS-1$

	/**
	 * NOT_EQUAL
	 */
	String NOT_EQUAL = ") != Exit tag ("; //$NON-NLS-1$

	/**
	 * NO_INFO.
	 */
	String NO_INFO = "No infos"; //$NON-NLS-1$

	/**
	 * CPU.
	 */
	String CPU = "CPU"; //$NON-NLS-1$

	/**
	 * PERCENT.
	 */
	String PERCENT = "%"; //$NON-NLS-1$

	/**
	 * FRAMERATE.
	 */
	String FRAMERATE = "Framerate"; //$NON-NLS-1$

	/**
	 * FPS.
	 */
	String FPS = "fps"; //$NON-NLS-1$

	/**
	 * USED.
	 */
	String USED = "Used"; //$NON-NLS-1$

	/**
	 * FREE.
	 */
	String FREE = "Free"; //$NON-NLS-1$

	/**
	 * BYTES.
	 */
	String BYTE = " bytes"; //$NON-NLS-1$

	/**
	 * ACTIVE_THREADS.
	 */
	String ACTIVE_THREADS = "Active threads"; //$NON-NLS-1$

	/**
	 * VM_DUMP.
	 */
	String VM_DUMP = "============ VM Dump ============"; //$NON-NLS-1$

	/**
	 * TIME.
	 */
	String TIME = "Time"; //$NON-NLS-1$

	/**
	 * MS.
	 */
	String MS = " ms"; //$NON-NLS-1$
	/**
	 * NS.
	 */
	String NS = " ns"; //$NON-NLS-1$
	/**
	 * S.
	 */
	String S = " s"; //$NON-NLS-1$

	/**
	 * DRAW_LINE.
	 */
	String DRAW_LINE = "---------------------------------"; //$NON-NLS-1$
	/**
	 * DRAW_LINE.
	 */
	String DRAW_LINE_2 = "================================="; //$NON-NLS-1$

	/**
	 * JAVA_THREAD.
	 */
	String JAVA_THREAD = "Java Thread["; //$NON-NLS-1$
	/**
	 * CLOSE_RECT_BRACKET.
	 */
	String CLOSE_RECT_BRACKET = "]"; //$NON-NLS-1$
	/**
	 * CLOSE_BRACKET.
	 */
	String CLOSE_BRACKET = ")"; //$NON-NLS-1$
	/**
	 * OPEN_BRACKET.
	 */
	String OPEN_BRACKET = "("; //$NON-NLS-1$
	/**
	 * DOT.
	 */
	String DOT = "."; //$NON-NLS-1$
	/**
	 * AT.
	 */
	String AT = "at "; //$NON-NLS-1$
	/**
	 * STATE.
	 */
	String STATE = " state="; //$NON-NLS-1$
	/**
	 * PRIO.
	 */
	String PRIO = "\" prio="; //$NON-NLS-1$
	/**
	 * NAME.
	 */
	String NAME = "name=\""; //$NON-NLS-1$

	/**
	 * SPLIT.
	 */
	String SPLIT = " / "; //$NON-NLS-1$

	/**
	 * NOT_EXIT.
	 */
	String NOT_EXIT = "not exited"; //$NON-NLS-1$

	/**
	 * LAP_SYMBOL.
	 */
	char LAP_SYMBOL = '+';
	/**
	 * END_LEAF_SYMBOL.
	 */
	char END_LEAF_SYMBOL = '\\';
	/**
	 * TREE_CARRY_ON_SYMBOL.
	 */
	char TREE_CARRY_ON_SYMBOL = '|';
	/**
	 * HIGHLIGHT_SYMBOL.
	 */
	String HIGHLIGHT_SYMBOL = "--"; //$NON-NLS-1$
	/**
	 * LOWLIGHT_SYMBOL.
	 */
	String LOWLIGHT_SYMBOL = "  "; //$NON-NLS-1$

	/**
	 * HEAP.
	 */
	String HEAP = " heap"; //$NON-NLS-1$

	/**
	 * IMMORTAL.
	 */
	String IMMORTAL = " immortals"; //$NON-NLS-1$

	/**
	 * OVERALL.
	 */
	String OVERALL = "Overall"; //$NON-NLS-1$
	/**
	 * INTERVAL.
	 */
	String INTERVAL = "Interval"; //$NON-NLS-1$
}
