/*
 * Java
 *
 * Copyright 2018-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package com.microej.profiling.profiler;

/**
 *
 * A profiler that can be compare in between two samples.
 *
 */
public interface ComparableProfiler extends Profiler {

	/**
	 * Compare two values, the value returned will then be used by {@link #printValue(long)}.
	 *
	 * @param start
	 *            the initial value.
	 * @param end
	 *            the final value.
	 * @return the difference in between the values.
	 */
	long compare(long start, long end);
}
