/*
 * Java
 *
 * Copyright 2015-2017 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package com.microej.wadapps.management.util;

import java.util.Collection;
import java.util.Iterator;

import ej.components.dependencyinjection.ServiceLoaderFactory;
import ej.wadapps.admin.Application;
import ej.wadapps.admin.Application.State;
import ej.wadapps.admin.ApplicationsManager;

/* package */class ArrayUtils {

	private ArrayUtils() {
	}

	public static <T extends Object> boolean contains(T[] objects, T object) {
		for (T t : objects) {
			if (object.equals(t)) {
				return true;
			}
		}
		return false;
	}

	public static boolean cleanup(Collection<?> collection) {
		ApplicationsManager am = ServiceLoaderFactory.getServiceLoader().getService(ApplicationsManager.class);
		Iterator<?> it = collection.iterator();
		boolean modified = false;
		while (it.hasNext()) {
			Object next = it.next();
			Application app = am.getApplication(next);
			if ((app == null) || (app.getState() != State.STARTED)) {
				System.out.println("ArrayUtils.cleanup() removed=" + next);
				it.remove();
				modified = true;
			}
		}
		return modified;
	}
}
