/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import ej.ecom.Device;
import ej.ecom.HardwareDescriptor;
import ej.kf.Proxy;


/**
 * @param <D>
 *
 */
public class DeviceProxy<D extends Device> extends Proxy<D> implements Device {
	@SuppressWarnings("unchecked")
	@Override
	public HardwareDescriptor<D> getDescriptor() {
		try {
			return (HardwareDescriptor<D>) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public String getName() {
		try {
			return (String) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return Device.UNKNOWN_NAME;
		}
	}

	@Override
	public Device getParent() {
		try {
			return (Device) invokeRef();
		} catch (Throwable e) {
			return null;
		}
	}

	@Override
	public Device[] getChildren() {
		try {
			return (Device[]) invokeRef();
		} catch (Throwable e) {
			return new Device[0];
		}
	}
}
