/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;


/**
 * Describe the capabilities of a dry contact.
 */
public interface DryContact extends Profile {

	/**
	 * Get the last known state of this device.
	 * 
	 * @return {@link BinaryState#ON} if the dry contact is closed or
	 *         {@link BinaryState#OFF} if open.
	 */
	int getLastKnownState();
}
