/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import ej.basedriver.event.Event;
import ej.basedriver.event.EventHandler;
import ej.ecom.Device;

/**
 *
 */
public interface EventControllerListener extends ControllerListener {
	/**
	 * Add an event handler on a specific device
	 * @param deviceType
	 * @param handler
	 * @param device
	 */
	<D extends Device, E extends Event<D>> void addEventHandler(String deviceType, EventHandler<D,E> handler, D device);

	/**
	 * Add an event handler for all device with the specific type.
	 * @param deviceType
	 * @param handler
	 */
	<D extends Device, E extends Event<D>> void addEventHandler(String deviceType, EventHandler<D,E> handler);

	/**
	 * Remove the handler.
	 * @param handler
	 */
	<D extends Device, E extends Event<D>> void removeEventHandler (EventHandler<D,E> handler);
}
