/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import java.io.IOException;

/**
 * Describe the capabilities of a switch.
 */
public interface Switch extends Profile {

	/**
	 * Change the switch state to on.
	 * 
	 * @throws IOException
	 *             if there is a communication error with the device
	 */
	void on() throws IOException;

	/**
	 * Change the switch state to off.
	 * 
	 * @throws IOException
	 *             if there is a communication error with the device
	 */
	void off() throws IOException;

}
