/*
 * Java
 *
 * Copyright 2016-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver;

import ej.kf.Proxy;

/**
 * The thermostat modes.
 */
public class ThermostatModeProxy extends Proxy<ThermostatMode> implements ThermostatMode {

	@Override
	public int getType() {
		try {
			return invokeInt();
		} catch (Throwable e) {
			return ThermostatMode.OFF;
		}
	}

	@Override
	public void setValue(double value) {
		try {
			invoke();
		} catch (Throwable e) {
		}

	}

	@Override
	public double getLastKnownValue() {
		try {
			return invokeDouble();
		} catch (Throwable e) {
			return MultilevelValue.UNKNOWN;
		}
	}

	@Override
	public void requestUpdate() {
		try {
			invoke();
		} catch (Throwable e) {
		}

	}
}
