/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.event.impl;

import ej.basedriver.MultilevelSensor;
import ej.basedriver.event.MultilevelSensorEvent;

public class DefaultMultilevelSensorEvent extends AbstractEvent<MultilevelSensor> implements MultilevelSensorEvent {
	private final double state;

	public DefaultMultilevelSensorEvent(MultilevelSensor sensor) {
		super(sensor);
		this.state = sensor.getLastKnownValue();
	}

	@Override
	public double getValue() {
		return state;
	}
}
