/*
 * Java
 *
 * Copyright 2014-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.basedriver.impl;

import ej.ecom.Device;

/**
 * This abstract class gives a structure and mechanisms for developers who wish to create a Device for a protocol.
 * 
 */
public abstract class AbstractProfile implements Device {

	private static final Device[] NO_CHILDREN = new Device[0];

	@Override
	public final Device[] getChildren() {
		return NO_CHILDREN; // a profile is not supposed to have children
	}
}
