/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import ej.kf.Proxy;
import ej.wadapps.app.Activity;

class ActivitiesSchedulerProxy extends Proxy<ActivitiesScheduler> implements ActivitiesScheduler {

	@Override
	public void setLauncher(Activity launcher) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public Activity getLauncher() {
		try {
			return (Activity) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return null;
		}
	}

	@Override
	public void showLauncher() {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void show(Activity activity) throws NullPointerException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void hide(Activity activity) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}
}
