/*
 * Java
 *
 * Copyright 2015-2019 MicroEJ Corp. All rights reserved.
 * This library is provided in source code for use, modification and test, subject to license terms.
 * Any modification of the source code will break MicroEJ Corp. warranties on the whole library.
 */
package ej.wadapps.management;

import ej.kf.Proxy;
import ej.observable.Observer;
import ej.wadapps.admin.Application;

/**
 * 
 */
public class ApplicationMetadataProviderProxy extends Proxy<ApplicationMetadataProvider> implements
		ApplicationMetadataProvider {

	@Override
	public ApplicationMetadata getApplicationMetadata(Application application) {
		try {
			return (ApplicationMetadata) invokeRef();
		} catch (Throwable e) {
			e.printStackTrace();
			return null;
		}
	}

	@Override
	public void setApplicationMetadata(Application application, ApplicationMetadata applicationMetadata)
			throws SecurityException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
		}
	}

	@Override
	public void addObserver(Observer observer) throws NullPointerException {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}

	@Override
	public void deleteObserver(Observer observer) {
		try {
			invoke();
		} catch (Throwable e) {
			e.printStackTrace();
			return;
		}
	}
}
